# $Revision: 1.12 $, $Date: 2004/05/07 01:09:16 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Blowfish_PP
Summary:	Crypt::Blowfish_PP Perl module - pure Perl Blowfish alghoritm implementation
Summary(pl):	Modu Perla Crypt::Blowfish_PP - implementacja algorytmu Blowfish w samym Perlu
Name:		perl-Crypt-Blowfish_PP
Version:	1.12
Release:	3
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6bf7dc80967eaf3047b67b26b015267d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::Blowfish_PP module provides for users to use the Blowfish
encryption algorithm in Perl. The implementation is entirely Object
Oriented, as there is quite a lot of context inherent in making
Blowfish as fast as it is. The key is anywhere between 64 and 448 bits
(8 and 56 bytes), and should be passed as a packed string. The
transformation itself is a 16-round Feistel Network, and operates on a
64 bit block.

%description -l pl
Modu Crypt::Blowfish_PP pozwala na korzystanie z algorytmu
szyfrowania Blowfish w samym Perlu. Implementacja jest w peni
zorientowana obiektowo, jako e potrzeba sporo rzeczy zwizanych z
kontekstem, aby Blowfish dziaa tak szybko jak dziaa. Klucza moe
dowolnej dugoci midzy 64 a 448 bitw (8 i 56 bajtw) i powinien by
przekazany jako spakowany acuch. Sama transformacja jest 16-krokow
sieci Feistela i operuje na 64-bitowym bloku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{perl_vendorlib}/Crypt/Blowfish_PP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Blowfish_PP.spec,v $
Revision 1.12  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.9  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:38  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/18 11:57:32  blues
license fix

Revision 1.1  2002/07/28 18:02:42  qboosh
- new

